package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/26 星期三 14:55
 * @Description: 学科枚举
 * 七年级学科：语文 数学 英语         道德与法治  历史 生物 地理  美术 体育 音乐
 * 八年级学科：语文 数学 英语 物理     道德与法治  历史 生物 地理  美术 体育 音乐
 * 九年级学科：语文 数学 英语 物理 化学 道德与法治  历史 生物 地理  美术 体育 音乐
 * @Version: 1.0
 */
public enum eSubjectStatu {
    Chinese(1),//语文
    Math(2),//数学
    English(3),//英语
    Physics(4),//物理
    Chemistry(5),//化学
    RuleOfLaw(6),//道德与法治
    History(7),//历史
    Organism(8),//生物
    Geography(9),//地理
    Arts(10),//美术
    Sport(11),//体育
    Music(12);//音乐


    private int value;

    eSubjectStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eSubjectStatu valueOf(int value) {
        switch (value) {
            case 1:
                return eSubjectStatu.Chinese;
            case 2:
                return eSubjectStatu.Math;
            case 3:
                return eSubjectStatu.English;
            case 4:
                return eSubjectStatu.Physics;
            case 5:
                return eSubjectStatu.Chemistry;
            case 6:
                return eSubjectStatu.RuleOfLaw;
            case 7:
                return eSubjectStatu.History;
            case 8:
                return eSubjectStatu.Organism;
            case 9:
                return eSubjectStatu.Geography;
            case 10:
                return eSubjectStatu.Arts;
            case 11:
                return eSubjectStatu.Sport;
            case 12:
                return eSubjectStatu.Music;
            default:
                return null;
        }
    }
    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "语文";
            case 2:
                return "数学";
            case 3:
                return "英语";
            case 4:
                return "物理";
            case 5:
                return "化学";
            case 6:
                return "道德与法治";
            case 7:
                return "历史";
            case 8:
                return "生物";
            case 9:
                return "地理";
            case 10:
                return "美术";
            case 11:
                return "体育";
            case 12:
                return "音乐";
            default:
                return null;
        }
    }
    public static Integer integerOf(String value) {
        switch (value) {
            case "语文":
                return 1;
            case "数学":
                return 2;
            case "英语":
                return 3;
            case "物理":
                return 4;
            case "化学":
                return 5;
            case "道德与法治":
                return 6;
            case "历史":
                return 7;
            case "生物":
                return 8;
            case "地理":
                return 9;
            case "美术":
                return 10;
            case "体育":
                return 11;
            case "音乐":
                return 12;
            default:
                return null;
        }
    }
}
